plugins {
    alias(libs.plugins.androidApplication)
    id 'com.google.gms.google-services'
}

android {
    namespace 'com.haussteuerung'
    compileSdk 34

    defaultConfig {
        applicationId "com.haussteuerung"
        minSdk 26
        targetSdk 34
        versionCode 1
        versionName "25.1006.1"

        testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"
    }

    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
    }
    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }
}

dependencies {

    implementation libs.appcompat
    implementation libs.material
    implementation libs.activity
    implementation libs.constraintlayout
    testImplementation libs.junit
    androidTestImplementation libs.ext.junit
    androidTestImplementation libs.espresso.core
    implementation libs.pahoMqttv3
    implementation libs.pahoMqttService
    implementation libs.firebase.messaging
    implementation libs.google.services
    implementation libs.touchImageView
    implementation libs.gson
    implementation libs.lifecycle.process
    implementation libs.lifecycle.runtime
}